import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class TypeAhead {
    el: HTMLElement;
    dataJson: string;
    options: any;
    data: any;
    selection: EventEmitter;
    selectionHandler(data: any): void;
    search: EventEmitter;
    searchHandler(data: any): void;
    constructor();
    componentDidLoad(): void;
    postRender(): void;
    init(): void;
    autocomplete(options: any): void;
    render(): JSX.Element;
}
